from pandas import DataFrame
import matplotlib.pyplot as plt
from aftercovid.models import CovidSIRDMixture

model = CovidSIRDMixture()
sims = list(model.iterate(60))
df = DataFrame(sims)
print(df.head())
ax = df.plot(y=['S', 'I1', 'I2', 'R', 'D'], kind='line')
ax.set_xlabel("jours")
ax.set_ylabel("population")
r0 = model.R0()
ax.set_title("Simulation SIRD\nR0=%f" % r0)

plt.show()